sample17.cpp File Reference

Example: rank and select operations using rank-select index. More...

`#include <stdlib.h>`
`#include <iostream>`
`#include <vector>`
`#include <memory>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample17.cpp:

Go to the source code of this file.

## Functions

int | main (void)

## Detailed Description

Example: rank and select operations using rank-select index.

Definition in file sample17.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 36 of file sample17.cpp.

References bm::bvector< Alloc >::build_rs_index(), bm::bvector< Alloc >::rank(), bm::bvector< Alloc >::rank_corrected(), and bm::bvector< Alloc >::select().